> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Call View Function

> Calls a view function on a contract and returns the result.



## OpenAPI

````yaml /openapi.json post /EXPERIMENTAL_call_function
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /EXPERIMENTAL_call_function:
    post:
      summary: Call View Function
      description: Calls a view function on a contract and returns the result.
      operationId: EXPERIMENTAL_call_function
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JsonRpcRequest_for_EXPERIMENTAL_call_function
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcCallFunctionResponse_and_RpcCallFunctionError
components:
  schemas:
    JsonRpcRequest_for_EXPERIMENTAL_call_function:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - EXPERIMENTAL_call_function
          type: string
        params:
          $ref: '#/components/schemas/RpcCallFunctionRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_EXPERIMENTAL_call_function
      type: object
    JsonRpcResponse_for_RpcCallFunctionResponse_and_RpcCallFunctionError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcCallFunctionResponse_and_RpcCallFunctionError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcCallFunctionResponse_and_RpcCallFunctionError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_RpcCallFunctionResponse_and_RpcCallFunctionError
      type: object
    RpcCallFunctionRequest:
      oneOf:
        - $ref: '#/components/schemas/RpcCallFunctionRequest_variant0'
        - $ref: '#/components/schemas/RpcCallFunctionRequest_variant1'
        - $ref: '#/components/schemas/RpcCallFunctionRequest_variant2'
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        args_base64:
          $ref: '#/components/schemas/FunctionArgs'
        method_name:
          type: string
      required:
        - account_id
        - method_name
        - args_base64
      title: RpcCallFunctionRequest
      type: object
    JsonRpcResponse_for_RpcCallFunctionResponse_and_RpcCallFunctionError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/RpcCallFunctionResponse'
      required:
        - result
      type: object
    JsonRpcResponse_for_RpcCallFunctionResponse_and_RpcCallFunctionError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcCallFunctionError'
      required:
        - error
      type: object
    RpcCallFunctionRequest_variant0:
      properties:
        block_id:
          $ref: '#/components/schemas/BlockId'
      required:
        - block_id
      type: object
    RpcCallFunctionRequest_variant1:
      properties:
        finality:
          $ref: '#/components/schemas/Finality'
      required:
        - finality
      type: object
    RpcCallFunctionRequest_variant2:
      properties:
        sync_checkpoint:
          $ref: '#/components/schemas/SyncCheckpoint'
      required:
        - sync_checkpoint
      type: object
    AccountId:
      description: >-
        NEAR Account Identifier.


        This is a unique, syntactically valid, human-readable account identifier
        on the NEAR network.


        [See the crate-level docs for information about
        validation.](index.html#account-id-rules)


        Also see [Error kind precedence](AccountId#error-kind-precedence).


        ## Examples


        ```

        use near_account_id::AccountId;


        let alice: AccountId = "alice.near".parse().unwrap();


        assert!("ƒelicia.near".parse::<AccountId>().is_err()); // (ƒ is not f)

        ```
      title: AccountId
      type: string
    FunctionArgs:
      description: >-
        This type is used to mark function arguments.


        NOTE: The main reason for this to exist (except the type-safety) is that
        the value is

        transparently serialized and deserialized as a base64-encoded string
        when serde is used

        (serde_json).
      format: bytes
      type: string
    RpcCallFunctionResponse:
      description: A result returned by contract method
      properties:
        block_hash:
          $ref: '#/components/schemas/CryptoHash'
        block_height:
          format: uint64
          minimum: 0
          type: integer
        logs:
          items:
            type: string
          type: array
        result:
          items:
            format: uint8
            maximum: 255
            minimum: 0
            type: integer
          type: array
      required:
        - result
        - logs
        - block_height
        - block_hash
      type: object
    ErrorWrapper_for_RpcCallFunctionError:
      oneOf:
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcCallFunctionError_variant0'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcCallFunctionError_variant1'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcCallFunctionError_variant2'
    BlockId:
      anyOf:
        - $ref: '#/components/schemas/BlockId_variant0'
        - $ref: '#/components/schemas/CryptoHash'
    Finality:
      description: Different types of finality.
      enum:
        - optimistic
        - near-final
        - final
      type: string
    SyncCheckpoint:
      enum:
        - genesis
        - earliest_available
      type: string
    CryptoHash:
      type: string
    ErrorWrapper_for_RpcCallFunctionError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcCallFunctionError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcCallFunctionError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcCallFunctionError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    BlockId_variant0:
      format: uint64
      minimum: 0
      title: block_height
      type: integer
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcCallFunctionError:
      oneOf:
        - $ref: '#/components/schemas/RpcCallFunctionError_variant0'
        - $ref: '#/components/schemas/RpcCallFunctionError_variant1'
        - $ref: '#/components/schemas/RpcCallFunctionError_variant2'
        - $ref: '#/components/schemas/RpcCallFunctionError_variant3'
        - $ref: '#/components/schemas/RpcCallFunctionError_variant4'
        - $ref: '#/components/schemas/RpcCallFunctionError_variant5'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcCallFunctionError_variant0:
      properties:
        info:
          properties:
            block_reference:
              $ref: '#/components/schemas/BlockReference'
          required:
            - block_reference
          type: object
        name:
          enum:
            - UNKNOWN_BLOCK
          type: string
      required:
        - name
        - info
      type: object
    RpcCallFunctionError_variant1:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            requested_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - requested_account_id
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - INVALID_ACCOUNT
          type: string
      required:
        - name
        - info
      type: object
    RpcCallFunctionError_variant2:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            requested_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - requested_account_id
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - UNKNOWN_ACCOUNT
          type: string
      required:
        - name
        - info
      type: object
    RpcCallFunctionError_variant3:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            contract_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - contract_account_id
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - NO_CONTRACT_CODE
          type: string
      required:
        - name
        - info
      type: object
    RpcCallFunctionError_variant4:
      properties:
        info:
          properties:
            block_hash:
              $ref: '#/components/schemas/CryptoHash'
            block_height:
              format: uint64
              minimum: 0
              type: integer
            vm_error:
              $ref: '#/components/schemas/FunctionCallError'
          required:
            - vm_error
            - block_height
            - block_hash
          type: object
        name:
          enum:
            - CONTRACT_EXECUTION_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcCallFunctionError_variant5:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    BlockReference:
      oneOf:
        - $ref: '#/components/schemas/BlockReference_variant0'
        - $ref: '#/components/schemas/BlockReference_variant1'
        - $ref: '#/components/schemas/BlockReference_variant2'
    FunctionCallError:
      description: >-
        Serializable version of `near-vm-runner::FunctionCallError`.


        Must never reorder/remove elements, can only add new variants at the end
        (but do that very

        carefully). It describes stable serialization format, and only used by
        serialization logic.
      anyOf:
        - $ref: '#/components/schemas/FunctionCallError_variant0'
        - $ref: '#/components/schemas/FunctionCallError_variant1'
        - $ref: '#/components/schemas/FunctionCallError_variant2'
        - $ref: '#/components/schemas/FunctionCallError_variant3'
        - $ref: '#/components/schemas/FunctionCallError_variant4'
        - $ref: '#/components/schemas/FunctionCallError_variant5'
        - $ref: '#/components/schemas/FunctionCallError_variant6'
    BlockReference_variant0:
      additionalProperties: false
      properties:
        block_id:
          $ref: '#/components/schemas/BlockId'
      required:
        - block_id
      type: object
    BlockReference_variant1:
      additionalProperties: false
      properties:
        finality:
          $ref: '#/components/schemas/Finality'
      required:
        - finality
      type: object
    BlockReference_variant2:
      additionalProperties: false
      properties:
        sync_checkpoint:
          $ref: '#/components/schemas/SyncCheckpoint'
      required:
        - sync_checkpoint
      type: object
    FunctionCallError_variant0:
      enum:
        - WasmUnknownError
        - _EVMError
      type: string
    FunctionCallError_variant1:
      additionalProperties: false
      description: Wasm compilation error
      properties:
        CompilationError:
          $ref: '#/components/schemas/CompilationError'
      required:
        - CompilationError
      type: object
    FunctionCallError_variant2:
      additionalProperties: false
      description: >-
        Wasm binary env link error


        Note: this is only to deserialize old data, use execution error for new
        data
      properties:
        LinkError:
          properties:
            msg:
              type: string
          required:
            - msg
          type: object
      required:
        - LinkError
      type: object
    FunctionCallError_variant3:
      additionalProperties: false
      description: Import/export resolve error
      properties:
        MethodResolveError:
          $ref: '#/components/schemas/MethodResolveError'
      required:
        - MethodResolveError
      type: object
    FunctionCallError_variant4:
      additionalProperties: false
      description: >-
        A trap happened during execution of a binary


        Note: this is only to deserialize old data, use execution error for new
        data
      properties:
        WasmTrap:
          $ref: '#/components/schemas/WasmTrap'
      required:
        - WasmTrap
      type: object
    FunctionCallError_variant5:
      additionalProperties: false
      description: >-
        Note: this is only to deserialize old data, use execution error for new
        data
      properties:
        HostError:
          $ref: '#/components/schemas/HostError'
      required:
        - HostError
      type: object
    FunctionCallError_variant6:
      additionalProperties: false
      properties:
        ExecutionError:
          type: string
      required:
        - ExecutionError
      type: object
    CompilationError:
      oneOf:
        - $ref: '#/components/schemas/CompilationError_variant0'
        - $ref: '#/components/schemas/CompilationError_variant1'
        - $ref: '#/components/schemas/CompilationError_variant2'
    MethodResolveError:
      enum:
        - MethodEmptyName
        - MethodNotFound
        - MethodInvalidSignature
      type: string
    WasmTrap:
      description: A kind of a trap happened during execution of a binary
      oneOf:
        - $ref: '#/components/schemas/WasmTrap_variant0'
        - $ref: '#/components/schemas/WasmTrap_variant1'
        - $ref: '#/components/schemas/WasmTrap_variant2'
        - $ref: '#/components/schemas/WasmTrap_variant3'
        - $ref: '#/components/schemas/WasmTrap_variant4'
        - $ref: '#/components/schemas/WasmTrap_variant5'
        - $ref: '#/components/schemas/WasmTrap_variant6'
        - $ref: '#/components/schemas/WasmTrap_variant7'
        - $ref: '#/components/schemas/WasmTrap_variant8'
    HostError:
      anyOf:
        - $ref: '#/components/schemas/HostError_variant0'
        - $ref: '#/components/schemas/HostError_variant1'
        - $ref: '#/components/schemas/HostError_variant2'
        - $ref: '#/components/schemas/HostError_variant3'
        - $ref: '#/components/schemas/HostError_variant4'
        - $ref: '#/components/schemas/HostError_variant5'
        - $ref: '#/components/schemas/HostError_variant6'
        - $ref: '#/components/schemas/HostError_variant7'
        - $ref: '#/components/schemas/HostError_variant8'
        - $ref: '#/components/schemas/HostError_variant9'
        - $ref: '#/components/schemas/HostError_variant10'
        - $ref: '#/components/schemas/HostError_variant11'
        - $ref: '#/components/schemas/HostError_variant12'
        - $ref: '#/components/schemas/HostError_variant13'
        - $ref: '#/components/schemas/HostError_variant14'
        - $ref: '#/components/schemas/HostError_variant15'
        - $ref: '#/components/schemas/HostError_variant16'
        - $ref: '#/components/schemas/HostError_variant17'
        - $ref: '#/components/schemas/HostError_variant18'
        - $ref: '#/components/schemas/HostError_variant19'
        - $ref: '#/components/schemas/HostError_variant20'
        - $ref: '#/components/schemas/HostError_variant21'
        - $ref: '#/components/schemas/HostError_variant22'
        - $ref: '#/components/schemas/HostError_variant23'
        - $ref: '#/components/schemas/HostError_variant24'
        - $ref: '#/components/schemas/HostError_variant25'
        - $ref: '#/components/schemas/HostError_variant26'
        - $ref: '#/components/schemas/HostError_variant27'
        - $ref: '#/components/schemas/HostError_variant28'
        - $ref: '#/components/schemas/HostError_variant29'
        - $ref: '#/components/schemas/HostError_variant30'
        - $ref: '#/components/schemas/HostError_variant31'
        - $ref: '#/components/schemas/HostError_variant32'
    CompilationError_variant0:
      additionalProperties: false
      properties:
        CodeDoesNotExist:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - CodeDoesNotExist
      type: object
    CompilationError_variant1:
      additionalProperties: false
      properties:
        PrepareError:
          $ref: '#/components/schemas/PrepareError'
      required:
        - PrepareError
      type: object
    CompilationError_variant2:
      additionalProperties: false
      description: >-
        This is for defense in depth.

        We expect our runtime-independent preparation code to fully catch all
        invalid wasms,

        but, if it ever misses something we’ll emit this error
      properties:
        WasmerCompileError:
          properties:
            msg:
              type: string
          required:
            - msg
          type: object
      required:
        - WasmerCompileError
      type: object
    WasmTrap_variant0:
      description: An `unreachable` opcode was executed.
      enum:
        - Unreachable
      type: string
    WasmTrap_variant1:
      description: Call indirect incorrect signature trap.
      enum:
        - IncorrectCallIndirectSignature
      type: string
    WasmTrap_variant2:
      description: Memory out of bounds trap.
      enum:
        - MemoryOutOfBounds
      type: string
    WasmTrap_variant3:
      description: Call indirect out of bounds trap.
      enum:
        - CallIndirectOOB
      type: string
    WasmTrap_variant4:
      description: An arithmetic exception, e.g. divided by zero.
      enum:
        - IllegalArithmetic
      type: string
    WasmTrap_variant5:
      description: Misaligned atomic access trap.
      enum:
        - MisalignedAtomicAccess
      type: string
    WasmTrap_variant6:
      description: Indirect call to null.
      enum:
        - IndirectCallToNull
      type: string
    WasmTrap_variant7:
      description: Stack overflow.
      enum:
        - StackOverflow
      type: string
    WasmTrap_variant8:
      description: Generic trap.
      enum:
        - GenericTrap
      type: string
    HostError_variant0:
      description: String encoding is bad UTF-16 sequence
      enum:
        - BadUTF16
      type: string
    HostError_variant1:
      description: String encoding is bad UTF-8 sequence
      enum:
        - BadUTF8
      type: string
    HostError_variant2:
      description: Exceeded the prepaid gas
      enum:
        - GasExceeded
      type: string
    HostError_variant3:
      description: Exceeded the maximum amount of gas allowed to burn per contract
      enum:
        - GasLimitExceeded
      type: string
    HostError_variant4:
      description: Exceeded the account balance
      enum:
        - BalanceExceeded
      type: string
    HostError_variant5:
      description: Tried to call an empty method name
      enum:
        - EmptyMethodName
      type: string
    HostError_variant6:
      additionalProperties: false
      description: Smart contract panicked
      properties:
        GuestPanic:
          properties:
            panic_msg:
              type: string
          required:
            - panic_msg
          type: object
      required:
        - GuestPanic
      type: object
    HostError_variant7:
      description: IntegerOverflow happened during a contract execution
      enum:
        - IntegerOverflow
      type: string
    HostError_variant8:
      additionalProperties: false
      description: '`promise_idx` does not correspond to existing promises'
      properties:
        InvalidPromiseIndex:
          properties:
            promise_idx:
              format: uint64
              minimum: 0
              type: integer
          required:
            - promise_idx
          type: object
      required:
        - InvalidPromiseIndex
      type: object
    HostError_variant9:
      description: Actions can only be appended to non-joint promise.
      enum:
        - CannotAppendActionToJointPromise
      type: string
    HostError_variant10:
      description: Returning joint promise is currently prohibited
      enum:
        - CannotReturnJointPromise
      type: string
    HostError_variant11:
      additionalProperties: false
      description: Accessed invalid promise result index
      properties:
        InvalidPromiseResultIndex:
          properties:
            result_idx:
              format: uint64
              minimum: 0
              type: integer
          required:
            - result_idx
          type: object
      required:
        - InvalidPromiseResultIndex
      type: object
    HostError_variant12:
      additionalProperties: false
      description: Accessed invalid register id
      properties:
        InvalidRegisterId:
          properties:
            register_id:
              format: uint64
              minimum: 0
              type: integer
          required:
            - register_id
          type: object
      required:
        - InvalidRegisterId
      type: object
    HostError_variant13:
      additionalProperties: false
      description: >-
        Iterator `iterator_index` was invalidated after its creation by
        performing a mutable operation on trie
      properties:
        IteratorWasInvalidated:
          properties:
            iterator_index:
              format: uint64
              minimum: 0
              type: integer
          required:
            - iterator_index
          type: object
      required:
        - IteratorWasInvalidated
      type: object
    HostError_variant14:
      description: Accessed memory outside the bounds
      enum:
        - MemoryAccessViolation
      type: string
    HostError_variant15:
      additionalProperties: false
      description: VM Logic returned an invalid receipt index
      properties:
        InvalidReceiptIndex:
          properties:
            receipt_index:
              format: uint64
              minimum: 0
              type: integer
          required:
            - receipt_index
          type: object
      required:
        - InvalidReceiptIndex
      type: object
    HostError_variant16:
      additionalProperties: false
      description: Iterator index `iterator_index` does not exist
      properties:
        InvalidIteratorIndex:
          properties:
            iterator_index:
              format: uint64
              minimum: 0
              type: integer
          required:
            - iterator_index
          type: object
      required:
        - InvalidIteratorIndex
      type: object
    HostError_variant17:
      description: VM Logic returned an invalid account id
      enum:
        - InvalidAccountId
      type: string
    HostError_variant18:
      description: VM Logic returned an invalid method name
      enum:
        - InvalidMethodName
      type: string
    HostError_variant19:
      description: VM Logic provided an invalid public key
      enum:
        - InvalidPublicKey
      type: string
    HostError_variant20:
      additionalProperties: false
      description: '`method_name` is not allowed in view calls'
      properties:
        ProhibitedInView:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
      required:
        - ProhibitedInView
      type: object
    HostError_variant21:
      additionalProperties: false
      description: The total number of logs will exceed the limit.
      properties:
        NumberOfLogsExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - limit
          type: object
      required:
        - NumberOfLogsExceeded
      type: object
    HostError_variant22:
      additionalProperties: false
      description: The storage key length exceeded the limit.
      properties:
        KeyLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - KeyLengthExceeded
      type: object
    HostError_variant23:
      additionalProperties: false
      description: The storage value length exceeded the limit.
      properties:
        ValueLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - ValueLengthExceeded
      type: object
    HostError_variant24:
      additionalProperties: false
      description: The total log length exceeded the limit.
      properties:
        TotalLogLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - TotalLogLengthExceeded
      type: object
    HostError_variant25:
      additionalProperties: false
      description: The maximum number of promises within a FunctionCall exceeded the limit.
      properties:
        NumberPromisesExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
            number_of_promises:
              format: uint64
              minimum: 0
              type: integer
          required:
            - number_of_promises
            - limit
          type: object
      required:
        - NumberPromisesExceeded
      type: object
    HostError_variant26:
      additionalProperties: false
      description: The maximum number of input data dependencies exceeded the limit.
      properties:
        NumberInputDataDependenciesExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
            number_of_input_data_dependencies:
              format: uint64
              minimum: 0
              type: integer
          required:
            - number_of_input_data_dependencies
            - limit
          type: object
      required:
        - NumberInputDataDependenciesExceeded
      type: object
    HostError_variant27:
      additionalProperties: false
      description: The returned value length exceeded the limit.
      properties:
        ReturnedValueLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - ReturnedValueLengthExceeded
      type: object
    HostError_variant28:
      additionalProperties: false
      description: The contract size for DeployContract action exceeded the limit.
      properties:
        ContractSizeExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
            size:
              format: uint64
              minimum: 0
              type: integer
          required:
            - size
            - limit
          type: object
      required:
        - ContractSizeExceeded
      type: object
    HostError_variant29:
      additionalProperties: false
      description: The host function was deprecated.
      properties:
        Deprecated:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
      required:
        - Deprecated
      type: object
    HostError_variant30:
      additionalProperties: false
      description: General errors for ECDSA recover.
      properties:
        ECRecoverError:
          properties:
            msg:
              type: string
          required:
            - msg
          type: object
      required:
        - ECRecoverError
      type: object
    HostError_variant31:
      additionalProperties: false
      description: |-
        Invalid input to alt_bn128 family of functions (e.g., point which isn't
        on the curve).
      properties:
        AltBn128InvalidInput:
          properties:
            msg:
              type: string
          required:
            - msg
          type: object
      required:
        - AltBn128InvalidInput
      type: object
    HostError_variant32:
      additionalProperties: false
      description: >-
        Invalid input to ed25519 signature verification function (e.g. signature
        cannot be

        derived from bytes).
      properties:
        Ed25519VerifyInvalidInput:
          properties:
            msg:
              type: string
          required:
            - msg
          type: object
      required:
        - Ed25519VerifyInvalidInput
      type: object
    PrepareError:
      description: Error that can occur while preparing or executing Wasm smart-contract.
      oneOf:
        - $ref: '#/components/schemas/PrepareError_variant0'
        - $ref: '#/components/schemas/PrepareError_variant1'
        - $ref: '#/components/schemas/PrepareError_variant2'
        - $ref: '#/components/schemas/PrepareError_variant3'
        - $ref: '#/components/schemas/PrepareError_variant4'
        - $ref: '#/components/schemas/PrepareError_variant5'
        - $ref: '#/components/schemas/PrepareError_variant6'
        - $ref: '#/components/schemas/PrepareError_variant7'
        - $ref: '#/components/schemas/PrepareError_variant8'
        - $ref: '#/components/schemas/PrepareError_variant9'
        - $ref: '#/components/schemas/PrepareError_variant10'
    PrepareError_variant0:
      description: Error happened while serializing the module.
      enum:
        - Serialization
      type: string
    PrepareError_variant1:
      description: Error happened while deserializing the module.
      enum:
        - Deserialization
      type: string
    PrepareError_variant2:
      description: Internal memory declaration has been found in the module.
      enum:
        - InternalMemoryDeclared
      type: string
    PrepareError_variant3:
      description: |-
        Gas instrumentation failed.

        This most likely indicates the module isn't valid.
      enum:
        - GasInstrumentation
      type: string
    PrepareError_variant4:
      description: |-
        Stack instrumentation failed.

        This  most likely indicates the module isn't valid.
      enum:
        - StackHeightInstrumentation
      type: string
    PrepareError_variant5:
      description: |-
        Error happened during instantiation.

        This might indicate that `start` function trapped, or module isn't
        instantiable and/or un-linkable.
      enum:
        - Instantiate
      type: string
    PrepareError_variant6:
      description: Error creating memory.
      enum:
        - Memory
      type: string
    PrepareError_variant7:
      description: Contract contains too many functions.
      enum:
        - TooManyFunctions
      type: string
    PrepareError_variant8:
      description: Contract contains too many locals.
      enum:
        - TooManyLocals
      type: string
    PrepareError_variant9:
      description: Contract contains too many tables.
      enum:
        - TooManyTables
      type: string
    PrepareError_variant10:
      description: Contract contains too many table elements.
      enum:
        - TooManyTableElements
      type: string

````